Send letter
POST
/api/v2/letters/{letterUuid}/actions/send
Send an existing letter immediately by its unique identifier, or generate and send a new letter by using the unique identifier of a template.
What is the letter or template’s unique identifier? The unique identifier is an alphanumeric string, often around ten digits. It looks like abcdefhijk.
How does the API behave when a given letter or template has a specific status?
- If the letter is a draft, or it’s already been scheduled but not yet published, then Letterhead will reschedule that letter for the desired time.
- If the letter has already been published, then Letterhead won’t resend it, and the API will return a
400. - If the template is active, then Letterhead will use that template to create an all-new email, produce it, and schedule it at the desired time.
- If the template is inactive, however, then Letterhead will assume your organization doesn’t want it used and our API will return a
400.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” letterUuid
required
string
Request Body
Section titled “Request Body ” Media type multipart/form-data
object
segment
required | Identify the audience segment you wish to target by passing its identifier. If you pass null, the Letter will send to its entire audience.
string
Example
{{ segmentUuid }} subject
optional | Set the subject of your letter. If not present, the letter’s subject will be dynamically set based on the first heading found in the content.
string
Example
Responses
Section titled “ Responses ”Still can’t find what you need? Contact support.